Subject: Re: bug#45412: File ... is large (... MiB), really open? (y)es or (n)o or (l)iterally

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 May 2021 11:30:57 +0300

> From: Daniel Martín <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 06 May 2021 01:10:08 +0200
> 
> I think I've applied all code review suggestions (patches attached).

Thanks, there are still a couple of nits left:

> * lisp/emacs-lisp/rmc.el (read-multiple-choice): Add a new argument to
> override the default help description in `read-multiple-choice'.  Use
> the `help-char' variable instead of ?\C-h.  Also support the `edit'
> action from `query-replace-map', so that help links can be visited by
> entering a recursive edit.

In commit log messages and in NEWS we nowadays prefer quoting 'like
this', not `like this'.

> +shortened).  DESCRIPTION is an optional longer explanation for
> +the entry that will be displayed in a help buffer if the user
> +requests more help.  This help description has a fixed format in
> +columns, but, for greater flexibility, instead of passing a
> +DESCRIPTION, the user can use the optional argument HELP-STRING.
> +This argument is a string that contains the text with the
> +complete description of all choices.  `read-multiple-choice' will
> +display that description in a help buffer if the user requests
> +it.

You say "user" here several times, but I think you mean the Lisp
program that calls this function, not the Emacs user.

> +                               (substitute-command-keys
> +                                "Recursive edit.  Resume with \\[exit-recursive-edit]"))

I think "resume" is too vague here to be useful.  Suggest to reword:

  Recursive edit; type \\[exit-recursive-edit] to return to help screen.